from django.conf.urls import url, include
from django.contrib import admin
from django.conf import settings
from django.conf.urls.static import static
from django.views.generic.base import RedirectView
from projects import views as project_views


urlpatterns = [
    url(r'^project_propose/$', project_views.project_propose, name="project_propose"),
    url(r'^my_projects/$', project_views.my_projects, name="my_projects"),
    url(r'^project_management/$', project_views.project_management, name="project_management"),
    url(r'^get_teachers/$', project_views.get_teachers, name="get_teachers"),
    url(r'^get_students/$', project_views.get_students, name="get_students"),
    url(r'^create_project/$', project_views.create_project, name="create_project"),
    url(r'^update_projects/$', project_views.update_projects, name="update_projects"),
    url(r'^update_project_detail/$', project_views.update_project_detail, name="update_project_detail"),
    url(r'^edit_project/$', project_views.edit_project, name="edit_project"),
    url(r'^delete_project/$', project_views.delete_project, name="delete_project"),
    url(r'^create_postulation/$', project_views.create_postulation, name="create_postulation"),
    url(r'^create_teacher_postulation/$', project_views.create_teacher_postulation, name="create_teacher_postulation"),
    url(r'^retro_modal/$', project_views.retro_modal, name="retro_modal"),
    url(r'^create_feedback/$', project_views.create_feedback, name="create_feedback"),
    url(r'^approve_postulation/$', project_views.approve_postulation, name="approve_postulation"),
    url(r'^reject_postulation/$', project_views.reject_postulation, name="reject_postulation"),
    url(r'^approve_teacher_postulation/$', project_views.approve_teacher_postulation, name="approve_teacher_postulation"),
    url(r'^reject_teacher_postulation/$', project_views.reject_teacher_postulation, name="reject_teacher_postulation"),
    url(r'^add_abet/$', project_views.add_abet, name="add_abet"),
    url(r'^criteria_delete/$', project_views.criteria_delete, name="criteria_delete"),
    url(r'^outcome_delete/$', project_views.outcome_delete, name="outcome_delete"),
    url(r'^abet_create/$', project_views.abet_create, name="abet_create"),
    url(r'^outcome_create/$', project_views.outcome_create, name="outcome_create"),
    url(r'^criteria_create/$', project_views.criteria_create, name="criteria_create"),
    url(r'^get_criteria_info/$', project_views.get_criteria_info, name="get_criteria_info"),
    url(r'^criteria_edit/$', project_views.criteria_edit, name="criteria_edit"),
    url(r'^abet_details/(?P<pk>\d+)$', project_views.abet_details, name="abet_details"),
    url(r'^abet_rubric_add/$', project_views.abet_rubric_add, name="abet_rubric_add"),
    url(r'^rubric_outcome_remove/$', project_views.rubric_outcome_remove, name="rubric_outcome_remove"),
    url(r'^abet_rubric_create/$', project_views.abet_rubric_create, name="abet_rubric_create"),
    url(r'^get_carreer_outcomes/$', project_views.get_carreer_outcomes, name="get_carreer_outcomes"),
    url(r'^get_carreer_subjects/$', project_views.get_carreer_subjects, name="get_carreer_subjects"),
    url(r'^abet_rubric_add_outcomes/$', project_views.abet_rubric_add_outcomes, name="abet_rubric_add_outcomes"),
    url(r'^abet_rubric_list/$', project_views.abet_rubric_list, name="abet_rubric_list"),
    url(r'^abet_rubric_activate/$', project_views.abet_rubric_activate, name="abet_rubric_activate"),
    url(r'^abet_rubric_details/(?P<pk>\d+)$', project_views.abet_rubric_details, name="abet_rubric_details"),
    url(r'^abet_rubric_delete/(?P<pk>\d+)$', project_views.abet_rubric_delete, name="abet_rubric_delete"),
    url(r'^abet_rubric_deactivate/$', project_views.abet_rubric_deactivate, name="abet_rubric_deactivate"),
    url(r'^delete_abet/$', project_views.delete_abet, name="delete_abet"),
    url(r'^project_current/$', project_views.project_current, name="project_current"),
    url(r'^list_active_projects/$', project_views.list_active_projects, name="list_active_projects"),
    url(r'^agendar_minuta/$', project_views.agendar_minuta, name="agendar_minuta"),
    url(r'^update_validation/$', project_views.update_validation, name="update_validation"),
    url(r'^list_evaluated_projects/$', project_views.list_evaluated_projects, name="list_evaluated_projects"),
    url(r'^get_evaluation_review/$', project_views.get_evaluation_review, name="get_evaluation_review"),
    url(r'^approve_reunion/$', project_views.approve_reunion, name="approve_reunion"),
    url(r'^reject_reunion/$', project_views.reject_reunion, name="reject_reunion"),
    url(r'^minuta_details/$', project_views.minuta_details, name="minuta_details"),
    url(r'^update_minuta/$', project_views.update_minuta, name="update_minuta"),
    url(r'^minuta_detail/$', project_views.minuta_detail, name="minuta_detail"),
    url(r'^approve_minuta/$', project_views.approve_minuta, name="approve_minuta"),
    url(r'^reject_minuta/$', project_views.reject_minuta, name="reject_minuta"),
    url(r'^get_retro_minuta/$', project_views.get_retro_minuta, name="get_retro_minuta"),
    url(r'^update_retro_minuta/$', project_views.update_retro_minuta, name="update_retro_minuta"),
    url(r'^create_glosa/$', project_views.create_glosa, name="create_glosa"),
    url(r'^save_glosa/$', project_views.save_glosa, name="save_glosa"),
    url(r'^get_glosa/$', project_views.get_glosa, name='get_glosa'),
    url(r'^edit_glosa/$', project_views.edit_glosa, name='edit_glosa'),
    url(r'^update_glosa/$', project_views.update_glosa, name='update_glosa'),
    url(r'^delete_glosa/$', project_views.delete_glosa, name="delete_glosa"),
    url(r'^get_session/$', project_views.get_session, name="get_session"),
    url(r'^edit_session/$', project_views.edit_session, name="edit_session"),
    url(r'^send_message/$', project_views.send_message, name="send_message"),
    url(r'^project_report/$', project_views.project_report, name="project_report"),
    url(r'^get_projects/$', project_views.get_projects, name="get_projects"),
    url(r'^get_students_report/$', project_views.get_students_report, name="get_students_report"),
    url(r'^get_binnacle_report/$', project_views.get_binnacle_report, name="get_binnacle_report"),
    url(r'^send_comment/$', project_views.send_comment, name="send_comment"),
    url(r'^get_info_minuta/$', project_views.get_info_minuta, name="get_info_minuta"),
    url(r'^share_project/$', project_views.share_project, name="share_project"),
    url(r'^update_pond/$', project_views.update_pond, name="update_pond"),
    url(r'^update_hito_pond/$', project_views.update_hito_pond, name="update_hito_pond"),
    url(r'^edit_hito_ponderation/$', project_views.edit_hito_ponderation, name="edit_hito_ponderation"),
    url(r'^get_project_grades/$', project_views.get_project_grades, name="get_project_grades"),
    url(r'^approve_project/$', project_views.approve_project, name="approve_project"),
    url(r'^fail_project/$', project_views.fail_project, name="fail_project"),
    url(r'^finish_project/(?P<pk>\d+)$', project_views.finish_project, name="finish_project"),
    url(r'^evaluation_info/(?P<evaluation>\d+)/(?P<tipo>\d+)$', project_views.evaluation_info, name="evaluation_info"),
    url(r'^update_evaluation/$', project_views.update_evaluation, name="update_evaluation"),

]